AdminInfo (CMDB Model API)
Keywords: com.collation.platform.model.topology.admin.AdminInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.admin
Interface AdminInfo

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface AdminInfo

extends LogicalElement

Naming Rules:
  0="objGuid"
Persistable:
  true
Table Name:
  ADMNINFO
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAdminContact()`
`java.lang.String` | `getAppGroupName()`
`java.lang.String` | `getEscalationContact()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNote()`
`Guid` | `getObjGuid()`
`java.lang.String` | `getSite()`
`java.lang.String` | `getTrackingNumber()`
`boolean` | `hasAdminContact()`
`boolean` | `hasAppGroupName()`
`boolean` | `hasEscalationContact()`
`boolean` | `hasName()`
`boolean` | `hasNote()`
`boolean` | `hasObjGuid()`
`boolean` | `hasSite()`
`boolean` | `hasTrackingNumber()`
`void` | `setAdminContact(java.lang.String x)`
`void` | `setAppGroupName(java.lang.String x)`
`void` | `setEscalationContact(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setNote(java.lang.String x)`
`void` | `setObjGuid(Guid x)`
`void` | `setSite(java.lang.String x)`
`void` | `setTrackingNumber(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getEscalationContact

    java.lang.String getEscalationContact()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEscalationContact

    void setEscalationContact(java.lang.String x)

### hasEscalationContact

    boolean hasEscalationContact()

### getSite

    java.lang.String getSite()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSite

    void setSite(java.lang.String x)

### hasSite

    boolean hasSite()

### getNote

    java.lang.String getNote()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNote

    void setNote(java.lang.String x)

### hasNote

    boolean hasNote()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getAdminContact

    java.lang.String getAdminContact()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAdminContact

    void setAdminContact(java.lang.String x)

### hasAdminContact

    boolean hasAdminContact()

### getAppGroupName

    java.lang.String getAppGroupName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAppGroupName

    void setAppGroupName(java.lang.String x)

### hasAppGroupName

    boolean hasAppGroupName()

### getObjGuid

    Guid getObjGuid()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setObjGuid

    void setObjGuid(Guid x)

### hasObjGuid

    boolean hasObjGuid()

### getTrackingNumber

    java.lang.String getTrackingNumber()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTrackingNumber

    void setTrackingNumber(java.lang.String x)

### hasTrackingNumber

    boolean hasTrackingNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD